%global         momorel 1

Name:           perl-Mozilla-PublicSuffix
Version:        0.1.19
Release:        %{momorel}m%{?dist}
Summary:        Get a domain name's public suffix via the Mozilla Public Suffix List
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mozilla-PublicSuffix/
Source0:        http://www.cpan.org/authors/id/R/RS/RSIMOES/Mozilla-PublicSuffix-v%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008
BuildRequires:  perl-File-Temp
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-URI
Requires:       perl-URI
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module provides a single function that returns the public suffix of a
domain name by referencing a parsed copy of Mozilla's Public Suffix List.
From the official website at http://publicsuffix.org/:

%prep
%setup -q -n Mozilla-PublicSuffix-v%{version}

%build
echo N | %{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes effective_tld_names.dat LICENSE README
%{perl_vendorlib}/Mozilla/PublicSuffix.pm
%{_mandir}/man3/*

%changelog
* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.19-1m)
- update to 0.1.19

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.18-1m)
- rebuild against perl-5.20.0
- update to 0.1.18

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.17-1m)
- update to 0.1.17
- rebuild against perl-5.18.2

* Sun Nov 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.16-1m)
- update to 0.1.16

* Sat Sep 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.15-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
